## PDC Reset

PDC Reset

## Functions

QmiMessagePdcResetOutput * | qmi_message_pdc_reset_output_ref ()
void | qmi_message_pdc_reset_output_unref ()
gboolean | qmi_message_pdc_reset_output_get_result ()
void | qmi_client_pdc_reset ()
QmiMessagePdcResetOutput * | qmi_client_pdc_reset_finish ()

## Types and Values

| QmiMessagePdcResetOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessagePdcResetOutput

## Description

## Functions

### qmi_message_pdc_reset_output_ref ()

    QmiMessagePdcResetOutput *
    qmi_message_pdc_reset_output_ref (QmiMessagePdcResetOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcResetOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_reset_output_unref ()

    void
    qmi_message_pdc_reset_output_unref (QmiMessagePdcResetOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcResetOutput. |

Since: 1.18

### qmi_message_pdc_reset_output_get_result ()

    gboolean
    qmi_message_pdc_reset_output_get_result
                                   (QmiMessagePdcResetOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcResetOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_reset ()

    void
    qmi_client_pdc_reset (QmiClientPdc *self,
                          gpointer unused,
                          guint timeout,
                          GCancellable *cancellable,
                          GAsyncReadyCallback callback,
                          gpointer user_data);

Asynchronously sends a Reset request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_reset_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_reset_finish ()

    QmiMessagePdcResetOutput *
    qmi_client_pdc_reset_finish (QmiClientPdc *self,
                                 GAsyncResult *res,
                                 GError **error);

Finishes an async operation started with `qmi_client_pdc_reset()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_reset()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcResetOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_reset_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcResetOutput

    typedef struct _QmiMessagePdcResetOutput QmiMessagePdcResetOutput;

The QmiMessagePdcResetOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18